Get transaction by reference
curl --request GET \
--url https://staging-api.yourflexpay.com/v2/sso/transaction/{reference} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://staging-api.yourflexpay.com/v2/sso/transaction/{reference}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<api-key>',
'x-api-key': '<api-key>',
Authorization: 'Bearer <token>'
}
};
fetch('https://staging-api.yourflexpay.com/v2/sso/transaction/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}SSO Transaction
Get transaction by reference
GET
/
sso
/
transaction
/
{reference}
Get transaction by reference
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Transaction details
The response is of type object.
⌘I